﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FormEventsExample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.Load += delegate(object sender, EventArgs e) { OutputEventName("Load"); };
            this.Activated += delegate(object sender, EventArgs e) { OutputEventName("Activated"); };
            this.Deactivate += delegate(object sender, EventArgs e) { OutputEventName("Deactivate"); };
            this.FormClosing += delegate(object sender, FormClosingEventArgs e) { OutputEventName("FormClosing"); };
            this.FormClosed += delegate(object sender, FormClosedEventArgs e) { OutputEventName("FormClosed"); };
            this.Resize += delegate(object sender, EventArgs e) { OutputEventName("Resize"); };
            this.ResizeBegin += delegate(object sender, EventArgs e) { OutputEventName("ResizeBegin"); };
            this.ResizeEnd += delegate(object sender, EventArgs e) { OutputEventName("ResizeEnd"); };
            this.DoubleClick += delegate(object sender, EventArgs e) { OutputEventName("DoubleClick"); };
            this.Click += delegate(object sender, EventArgs e) { OutputEventName("Click"); };
            this.MouseClick += delegate(object sender, MouseEventArgs e) { OutputEventName("MouseClick"); };
            this.MouseDoubleClick += delegate(object sender, MouseEventArgs e) { OutputEventName("MouseDoubleClick"); };
            this.MouseEnter += delegate(object sender, EventArgs e) { OutputEventName("MouseEnter"); };
            this.MouseLeave += delegate(object sender, EventArgs e) { OutputEventName("MouseLeave"); };
            this.MouseDown += delegate(object sender, MouseEventArgs e) { OutputEventName("MouseDown"); };
            this.MouseMove += delegate(object sender, MouseEventArgs e) { OutputEventName("MouseMove"); };
            this.MouseUp += delegate(object sender, MouseEventArgs e) { OutputEventName("MouseUp"); };
        }

        public void ProcessIt(object sender, EventArgs e)
        {
            return;
        }


        private void OutputEventName(string name)
        {
            this.listBox.Items.Add(name + " event");
            this.listBox.SelectedIndex = this.listBox.Items.Count - 1;
            Console.WriteLine(name + " event");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.listBox.Items.Clear();
        }
    }
}
